Subject: bug#12583: latest org-mode changes exposes bug in `comment-forward'in newcomment.el

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Oct 2012 12:12:03 -0400

> For my own use, I wonder whether I should be calling `c-n-v' before
> I make use of `comment-search-forward'.

Yes, you should.

> BTW, why are there so many things besided commands that have autoload
> cookies in newcomment.el?  I know that you are not particularly in
> favor of unnecessarily autoloading variables, so I wonder what the
> story is here.  Thx.

The functionality of newcomment.el used to be in simple.el and hence
preloaded.  To make the transition as smooth as possible (there were
already plenty of changes) I autoloaded all the things which used to
be preloaded.

        Stefan